Skip to content

nodes / tasks ​

5 operations.

GET /nodes/{node}/tasks ​

ts
proxmox.nodes.$(node).tasks.$get()

Read task list for one node (finished tasks).

Returns an array of object.

ParameterTypeRequiredNotes
errorsbooleanOnly list tasks with a status of ERROR. — default 0
limitnumberOnly list this number of tasks. — min 0, default 50
nodestringyesThe cluster node name. — format pve-node
sincenumberOnly list tasks since this UNIX epoch.
sourcearchive | active | allList archived, active or all tasks. — default "archive"
startnumberList tasks beginning from this offset. — min 0, default 0
statusfilterstringList of Task States that should be returned. — format pve-task-status-type-list
typefilterstringOnly list tasks of this type (e.g., vzstart, vzdump).
untilnumberOnly list tasks until this UNIX epoch.
userfilterstringOnly list tasks from this user.
vmidnumberOnly list tasks for this VM. — format pve-vmid, min 100, max 999999999

GET /nodes/{node}/tasks/{upid} ​

ts
proxmox.nodes.$(node).tasks.$(upid).$get()

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node
upidstringyes

DELETE /nodes/{node}/tasks/{upid} ​

ts
proxmox.nodes.$(node).tasks.$(upid).$delete()

Stop a task.

Returns nothing.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node
upidstringyes

GET /nodes/{node}/tasks/{upid}/log ​

ts
proxmox.nodes.$(node).tasks.$(upid).log.$get()

Read task log.

Returns an array of object.

ParameterTypeRequiredNotes
downloadbooleanWhether the tasklog file should be downloaded. This parameter can't be used in conjunction with other parameters
limitnumberThe number of lines to read from the tasklog. — min 0, default 50
nodestringyesThe cluster node name. — format pve-node
startnumberStart at this line when reading the tasklog — min 0, default 0
upidstringyesThe task's unique ID.

GET /nodes/{node}/tasks/{upid}/status ​

ts
proxmox.nodes.$(node).tasks.$(upid).status.$get()

Read task status.

Returns object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node
upidstringyesThe task's unique ID.